var gulp       = require( 'gulp' ),
	notify     = require( 'gulp-notify' ),
	taskLoader = require( 'gulp-task-loader' );

var settings = {
	styles: {
		src              : './src/scss/',
		output           : './public/css/',
		srcFileName      : 'app.scss',
	},

	scripts: {
		src              : './src/js/',
		output           : './public/js/',
	}
};

function handleErrors () {
	var args = Array.prototype.slice.call(arguments);
	notify.onError({
		title: 'Compile Error',
		message: '<%= error.message %>'
	}).apply(this, args);
	this.emit('end'); // Keep gulp from hanging on this task
}

/**
 *
 * taskLoader
 *
 * Folder with gulp tasks by default: 'gulp-tasks'
 *
 */
taskLoader({
	settings       : settings,
	handleErrors   : handleErrors,
});
